package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Dit;
import org.apache.ibatis.annotations.Mapper;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface DitMapper {

    int insert(Dit record);

    int insertSelective(Dit record);

    int updateByPrimaryKeySelective(Dit record);

    int updateByPrimaryKey(Dit record);

    int deleteByPrimaryKey(Dit record);

    int deleteByIds(Collection<Object> collection);

    Dit selectByPrimaryKey(Dit record);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Dit> dyncRead(Map<String,Object> dyncMap);

}